package ecs

// ECS system by jcerise, github.com/jcerise/gogue

const AppearanceComponent = "appearance"
const CoordsComponent = "coords"
const MobComponent = "mob"
const MoveableComponent = "movable"
const CarriedComponent = "carried"
const UsableComponent = "usable"

type Component interface {
	Type() string
}